| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.TreeList.CellRendererPixbuf

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors

Description

Renders a pixbuf in a cell

- This module and all other modules in Graphics.UI.Gtk.TreeList are deprecated. Please use the modules in Graphics.UI.Gtk.ModelView.

Synopsis

data CellRendererPixbuf
class CellRendererClass o => CellRendererPixbufClass o
castToCellRendererPixbuf :: GObjectClass obj => obj -> CellRendererPixbuf
toCellRendererPixbuf :: CellRendererPixbufClass o => o -> CellRendererPixbuf
cellRendererPixbufNew :: IO CellRendererPixbuf

Detail

A `CellRendererPixbuf` can be used to render an image in a cell. It allows to render either a given `Pixbuf` (set via the pixbuf property) or a stock icon (set via the stock-id property).

To support the tree view, `CellRendererPixbuf` also supports rendering two alternative pixbufs, when the is-expander property is `True`. If the is-expanded property is `True` and the pixbuf-expander-open property is set to a pixbuf, it renders that pixbuf, if the is-expanded property is `False` and the pixbuf-expander-closed property is set to a pixbuf, it renders that one.

Class Hierarchy

     |  GObject
     |   +----Object
     |         +----CellRenderer
     |               +----CellRendererPixbuf

Types
data CellRendererPixbuf

Instances

GObjectClass CellRendererPixbuf
CellRendererPixbufClass CellRendererPixbuf
CellRendererClass CellRendererPixbuf
ObjectClass CellRendererPixbuf

class CellRendererClass o => CellRendererPixbufClass o

Instances

CellRendererPixbufClass CellRendererPixbuf

castToCellRendererPixbuf :: GObjectClass obj => obj -> CellRendererPixbuf
toCellRendererPixbuf :: CellRendererPixbufClass o => o -> CellRendererPixbuf
Constructors
cellRendererPixbufNew :: IO CellRendererPixbuf
Create a new CellRendererPixbuf object.
Produced by Haddock version 2.4.2